summaryrefslogtreecommitdiffstats
path: root/system/cnijfilter2
diff options
context:
space:
mode:
Diffstat (limited to 'system/cnijfilter2')
-rw-r--r--system/cnijfilter2/README17
-rw-r--r--system/cnijfilter2/cnijfilter2.SlackBuild140
-rw-r--r--system/cnijfilter2/cnijfilter2.info8
-rw-r--r--system/cnijfilter2/gcc10.patch11
-rw-r--r--system/cnijfilter2/slack-desc12
5 files changed, 127 insertions, 61 deletions
diff --git a/system/cnijfilter2/README b/system/cnijfilter2/README
index bd7d23ec82..80d68b5572 100644
--- a/system/cnijfilter2/README
+++ b/system/cnijfilter2/README
@@ -1,20 +1,21 @@
cnijfilter2 (Canon IJ Printer Driver)
-cnijfilter2 provides printing functions for Canon Inkjet printers operating
-under the CUPS (Common UNIX Printing System) environment.
+cnijfilter2 provides printing functions for Canon Inkjet printers
+operating under the CUPS (Common UNIX Printing System) environment.
Supported series:
-- MG2900, MG3000, MG3600, MG5600, MG5700, MG6600, MG6700, MG6800, MG6900, MG7700,
- MG7500
+- MG2900, MG3000, MG3600, MG5600, MG5700, MG6600, MG6700, MG6800,
+ MG6900, MG7700, MG7500
- MB2700, MB2300, MB2100, MB2000, MB5000, MB5300
- G4010, G4000, G3010, G3000
- iB4100, iB4000, iP110
- E450, E480, E470, E300, E200, E3100, E4200, MX490
- TR4500, TR7500, TR7530, TR8500, TR8530, TR8580, TR9530
-- TS9500, TS8230, TS8280, TS8200, TS6280, TS6230, TS6200, TS200, TS300, TS3100,
- TS5100, TS6100, TS6130, TS6180, TS8100, TS8180, TS9100, TS9180, TS8130, TS9580
+- TS9500, TS8230, TS8280, TS8200, TS6280, TS6230, TS6200, TS200, TS300,
+ TS3100, TS5100, TS6100, TS6130, TS6180, TS8100, TS8180, TS9100,
+ TS9180, TS8130, TS9580
- XK80, XK70, XK50
NB. see also SBo system/pixma SlackBuild for support of related Canon
-printers. It supports MG2500, MG2400, MG3500, MG5500, MG6400, MG6500, MG7100
-and P200 series.
+printers. It supports MG2500, MG2400, MG3500, MG5500, MG6400, MG6500,
+MG7100 and P200 series.
diff --git a/system/cnijfilter2/cnijfilter2.SlackBuild b/system/cnijfilter2/cnijfilter2.SlackBuild
index 0fb2c334e3..c54efd21a1 100644
--- a/system/cnijfilter2/cnijfilter2.SlackBuild
+++ b/system/cnijfilter2/cnijfilter2.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for cnijfilter2
@@ -22,22 +22,39 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220301 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - strip binaries.
+# - relative symlinks.
+# - remove INSTALL from doc dir.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=cnijfilter2
-SRCNAM=$PRGNAM-source
-SRCVERSION=${VERSION:-5.80-1}
-VERSION=${SRCVERSION/-/.}
+VERSION=${VERSION:-6.50.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRCNAM=$PRGNAM-source
+SRCVERSION=6.50-1
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
+ aarch64) ARCH=aarch64 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -45,23 +62,28 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
- LDFLAGS="-L$TMP/${SRCNAM}-${SRCVERSION}/com/libs_bin32"
- BITS="i386"
+ BITS="i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
- LDFLAGS="-L$TMP/${SRCNAM}-${SRCVERSION}/com/libs_bin32"
- BITS="i386"
+ BITS="i686"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
- LDFLAGS="-L$TMP/${SRCNAM}-${SRCVERSION}/com/libs_bin64"
- BITS="amd64"
+ BITS="x86_64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ BITS="aarch64"
else
- echo "Package for $(uname -m) architecture is not available."
+ echo "Package for $ARCH architecture is not available."
exit 1
fi
+export ARCH
+export SLKCFLAGS
+export LIBDIRSUFFIX
+
set -e
rm -rf $PKG
@@ -81,57 +103,89 @@ find -L . \
\( -type f \! -name autogen.sh \) \
-exec chmod 644 {} \;
+patch -p1 < $CWD/gcc10.patch
+
+for dir in cmdtocanonij2 cmdtocanonij3 ; do
+ pushd $dir
+ ./autogen.sh --prefix=/usr --datadir=/usr/share LDFLAGS="-L../../com/libs_bin_${BITS}"
+ make
+ popd
+done
+
+pushd cnijbe2
+ ./autogen.sh --prefix=/usr --enable-progpath=/usr/bin
+ make
+popd
+
+pushd lgmon3
+ ./autogen.sh --prefix=/usr --enable-libpath=/usr/lib${LIBDIRSUFFIX}/bjlib2 --enable-progpath=/usr/bin \
+ --datadir=/usr/share LDFLAGS="-L../../com/libs_bin_${BITS}"
+ make
+popd
+
+pushd rastertocanonij
+ ./autogen.sh --prefix=/usr --enable-progpath=/usr/bin
+ make
+popd
+
+for dir in tocanonij tocnpwg ; do
+ pushd $dir
+ ./autogen.sh --prefix=/usr
+ make
+ popd
+done
+
common_pkg="cmdtocanonij2 cmdtocanonij3 cnijbe2 lgmon3 rastertocanonij tocanonij tocnpwg"
for dir in $common_pkg; do
- ( cd $dir
- ./autogen.sh --prefix=/usr LDFLAGS="$LDFLAGS"
- make
- make install-strip DESTDIR=$PKG )
+ pushd $dir
+ make install DESTDIR=$PKG
+ popd
done
-( cd lgmon3 ; ./autogen.sh --prefix=/usr --enable-libpath=/usr/lib/bjlib2 \
- LDFLAGS="$LDFLAGS"
- make
- make install-strip DESTDIR=$PKG )
if [ "$ARCH" = "x86_64" ]; then
mv $PKG/usr/lib $PKG/usr/lib64
- mkdir $PKG/usr/lib64/bjlib2
- install -c -m 644 com/ini/cnnet.ini $PKG/usr/lib64/bjlib2/
- install -c -m 755 com/libs_bin64/libcnnet2.so.* $PKG/usr/lib64/
- install -c -m 755 com/libs_bin64/libcnbpnet20.so.* $PKG/usr/lib64/
- install -c -m 755 com/libs_bin64/libcnbpnet30.so.* $PKG/usr/lib64/
- install -c -m 755 com/libs_bin64/libcnbpcnclapicom2.so.* $PKG/usr/lib64/
-elif [ "$ARCH" = "i686" ]; then
- mkdir $PKG/usr/lib/bjlib2
- install -c -m 644 com/ini/cnnet.ini $PKG/usr/lib/bjlib2/
- install -c -m 755 com/libs_bin32/libcnnet2.so.* $PKG/usr/lib/
- install -c -m 755 com/libs_bin32/libcnbpnet20.so.* $PKG/usr/lib/
- install -c -m 755 com/libs_bin32/libcnbpnet30.so.* $PKG/usr/lib/
- install -c -m 755 com/libs_bin32/libcnbpcnclapicom2.so.* $PKG/usr/lib/
fi
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/bjlib2
+install -c -o lp -g lp -m 644 com/ini/cnnet.ini $PKG/usr/lib${LIBDIRSUFFIX}/bjlib2/
+install -c -m 755 com/libs_bin_${BITS}/*.so.* $PKG/usr/lib${LIBDIRSUFFIX}/
+
+# 20220409 bkw: this bit of template was missing.
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Run ldconfig in the build script so that /usr/lib{64}/libcn*.so
+# are tracked by doinst.sh
+if [ -x /sbin/ldconfig ]; then
+ /sbin/ldconfig $PKG/usr/lib${LIBDIRSUFFIX}
+fi
+
+mkdir -p $PKG/usr/share/ppd/cnijfilter2 $PKG/usr/share/cups/model
+cp -a ppd/*.ppd $PKG/usr/share/ppd/cnijfilter2
+
+# 20220409 bkw: made these relative symlinks.
+PPD_FILES=$( cd $PKG/usr/share/ppd/cnijfilter2 ; ls *.ppd )
+for f in $PPD_FILES; do
+ ln -fs ../../ppd/cnijfilter2/${f} $PKG/usr/share/cups/model/${f}
+done
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/usr/share/ppd/cnijfilter2 \
- $PKG/usr/doc/$PRGNAM-$VERSION/lproptions
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/lproptions
cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
cp -a lproptions/lpr* $PKG/usr/doc/$PRGNAM-$VERSION/lproptions
cat ppd/NEWS > $PKG/usr/doc/$PRGNAM-$VERSION/NEWS
-cp -a ppd/*.ppd $PKG/usr/share/ppd/cnijfilter2
-
# Copy all README to /usr/doc
for dir in $common_pkg; do
mkdir $PKG/usr/doc/$PRGNAM-$VERSION/$dir
- ( cd $dir
- for file in AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README; do
+ pushd $dir
+ for file in AUTHORS COPYING ChangeLog LICENSE* NEWS README; do
[ -f $file ] && cp -a $file $PKG/usr/doc/$PRGNAM-$VERSION/$dir
done
- )
+ popd
done
-cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
-
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/cnijfilter2/cnijfilter2.info b/system/cnijfilter2/cnijfilter2.info
index 59ea334515..f9d0ca98dd 100644
--- a/system/cnijfilter2/cnijfilter2.info
+++ b/system/cnijfilter2/cnijfilter2.info
@@ -1,8 +1,8 @@
PRGNAM="cnijfilter2"
-VERSION="5.80.1"
-HOMEPAGE="https://support-asia.canon-asia.com/contents/ASIA/EN/0101027301.html"
-DOWNLOAD="http://gdlp01.c-wss.com/gds/3/0100010273/01/cnijfilter2-source-5.80-1.tar.gz"
-MD5SUM="c201a3b93802ede86041616e678abba2"
+VERSION="6.50.1"
+HOMEPAGE="https://asia.canon/en/support/0101163901"
+DOWNLOAD="https://gdlp01.c-wss.com/gds/9/0100011639/01/cnijfilter2-source-6.50-1.tar.gz"
+MD5SUM="a1c4f44c64c97d0cfa58b93e6655ab2c"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/system/cnijfilter2/gcc10.patch b/system/cnijfilter2/gcc10.patch
new file mode 100644
index 0000000000..449a9777f1
--- /dev/null
+++ b/system/cnijfilter2/gcc10.patch
@@ -0,0 +1,11 @@
+--- cnijfilter2-source-6.20-1.orig/lgmon3/src/cnijlgmon3.c 2021-02-20 22:08:56.000000000 +1300
++++ cnijfilter2-source-6.20-1/lgmon3/src/cnijlgmon3.c 2021-11-05 23:35:18.626436603 +1300
+@@ -55,7 +55,7 @@
+ int (*GET_STATUS)(char *, int, int *, int * , char *);
+ int (*GET_STATUS2)(char *, int, char *, int *, int * , char *, char *);
+ int (*GET_STATUS2_MAINTENANCE)(char *, int, char *, int *, int * , char *, char *);
+-int (*GET_PROTOCOL)(char *, size_t);
++static int (*GET_PROTOCOL)(char *, size_t);
+
+
+ int main(int argc, char *argv[])
diff --git a/system/cnijfilter2/slack-desc b/system/cnijfilter2/slack-desc
index 89b74ab1e7..2398d4681f 100644
--- a/system/cnijfilter2/slack-desc
+++ b/system/cnijfilter2/slack-desc
@@ -5,15 +5,15 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler----------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
cnijfilter2: cnijfilter2 (Canon IJ Printer Driver)
-cnijfilter2:
-cnijfilter2: cnijfilter2 provides printing functions for Canon Inkjet printers
+cnijfilter2:
+cnijfilter2: cnijfilter2 provides printing functions for Canon Inkjet printers
cnijfilter2: operating under the CUPS (Common UNIX Printing System) environment.
-cnijfilter2:
-cnijfilter2: It supports MG7500 series, MG6700 series, MG6600 series, MG5600
+cnijfilter2:
+cnijfilter2: It supports MG7500 series, MG6700 series, MG6600 series, MG5600
cnijfilter2: series, MG2900 series, MB2000 series, MB2300, iB4000 series,
cnijfilter2: MB5000 series, MB5300 series, iP110 series, E450 series, MX490
cnijfilter2: series, E480 series.
cnijfilter2:
-cnijfilter2: http://support-asia.canon-asia.com/contents/ASIA/EN/0100666902.html
+cnijfilter2: Homepage: https://asia.canon/en/support/0101163901